import { HandleType } from './components';
export declare enum ConnectionLineType {
    Bezier = "default",
    Straight = "straight",
    Step = "step",
    SmoothStep = "smoothstep"
}
export interface Connection {
    source: string;
    target: string;
    sourceHandle?: string;
    targetHandle?: string;
}
export declare type OnConnectStartParams = {
    nodeId?: string;
    handleId?: string;
    handleType?: HandleType;
};
export declare enum ConnectionMode {
    Strict = "strict",
    Loose = "loose"
}
export declare type SetConnectionId = {
    connectionNodeId: string | undefined;
    connectionHandleId: string | undefined;
    connectionHandleType: HandleType | undefined;
};
